NDISGEN(8)

NAME
ndisgen - generate a FreeBSD driver module from a Windows® NDIS driver distribution

SYNOPSIS
ndisgen [/path/to/INF /path/to/SYS]

DESCRIPTION
The ndisgen script uses the ndiscvt(8) utility and other tools to generate a FreeBSD loadable driver module and a static ELF object module from a Windows® NDIS driver, for use with the ndis(4) compatibility module.

The ndisgen script is interactive and contains its own help section. Unless the paths to both files are supplied on the command line, the script will prompt the user for the .INF and .SYS files needed to generate the FreeBSD driver module. The script will also prompt for any firmware or other external files needed.

SEE ALSO
ld(1), objcopy(1), ndis(4), kldload(8), ndiscvt(8)

HISTORY
The ndisgen utility first appeared in FreeBSD 6.0.

AUTHORS
The ndisgen utility was written by Bill Paul <wpaul@windriver.com>.